Name:           rest
Version:        0.6.1
Release:        1%{?dist}
Summary:        A library for access to RESTful web services

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://moblin.org/projects/librest
Source0:        http://git.moblin.org/cgit.cgi/lib%{name}/snapshot/lib%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: gtk-doc

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent 
remote objects, which methods can then be called on. The majority of services 
don't actually adhere to this strict definition. Instead, their RESTful end 
point usually has an API that is just simpler to use compared to other types 
of APIs they may support (XML-RPC, for instance). It is this kind of API that 
this library is attempting to support.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q -n librest-%{version}

# Don't run configure from autogen.sh
sed -i 's|echo|exit 0|g' autogen.sh
./autogen.sh

%build
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/librest-0.6.so.0
%{_libdir}/librest-0.6.so.0.0.0
%{_libdir}/librest-extras-0.6.so.0
%{_libdir}/librest-extras-0.6.so.0.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/rest-0.6
%{_libdir}/pkgconfig/rest*
%{_libdir}/librest-0.6.so
%{_libdir}/librest-extras-0.6.so
%{_datadir}/gtk-doc/html/%{name}-0.6

%changelog
* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream 0.6.1 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- New upstream 0.6 release

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-3
- A few minor spec file cleanups

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-1
- Update to 0.5

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- Update to 0.4

* Wed Jun 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- Initial packaging
